<p-growl [(value)]="msgs" baseZIndex=14000></p-growl>
<div class="col-lg-6" *ngIf="identity && identity.role == 'ROLE_ADMIN'">
	<h1>{{titulo}}</h1>

	<form #formArtist="ngForm" (ngSubmit)="onSubmit()">
		<p>
			<label>Nombre:</label>
			<input type="text" name="name" #name="ngModel" [(ngModel)]="artist.name" required class="form-control">
			<span *ngIf="!name.valid && name.touched">*</span>
		</p>
		<p>
			<label>Descripción:</label>
			<textarea type="text" name="description" #description="ngModel" [(ngModel)]="artist.description" required class="form-control"></textarea>
			<span *ngIf="!description.valid && description.touched">*</span>
		</p>

		
		<div *ngIf="is_edit">
			<div *ngIf="artist.image && artist.image != 'null'">
				<img class="artist_image_for_edit" src="{{ artist.imageURL }}">
			</div>

			<p>
			<label>Imagen del artista:</label>
			<input type="file" placeholder="Subir imagen" (change)="fileChangeEvent($event)">
			</p>
		</div>

		<input type="submit" name="{{titulo}}" [disabled]="!formArtist.form.valid" class="btn btn-success">
	</form>
</div>

<div class="col-lg-6" *ngIf="!identity || identity.role != 'ROLE_ADMIN'">
	<h1>Error</h1>
	<p>No tenés acceso a esta parte de la aplicación</p>
</div>